package edu.illinois.reex.scheduling.filtering;

import java.util.SortedSet;

import edu.illinois.reex.scheduling.ChoiceType;

/**
 * Default {@link SchedulingFilter} that does not perform any filtering.
 * 
 * @author Vilas Jagannath <vbangal2@illinois.edu>
 * 
 */
public class DefaultFilter implements SchedulingFilter {

    @Override
    public SortedSet<? extends Object> filterChoices(SortedSet<? extends Object> choices, ChoiceType choiceType) {
        return choices;
    }

}
