package edu.illinois.reex.test;
import junit.framework.Assert;

import org.junit.Test;
import org.junit.runner.RunWith;
import edu.illinois.reex.exploration.*;

@RunWith(JUnit4ReExRunner.class)
public class NonDeterministicDeadlock {
	
	private Object lock1=new Object();
	private Object lock2=new Object();
	
	@Test
	public void testDead() throws InterruptedException {
		Thread t=new Thread() {
			@Override
			public void run() {
				synchronized (lock1) {
					synchronized (lock2) {
						System.out.println("inner thread working");
					}
				}
			}
		};
		t.start();
		synchronized (lock2) {
			synchronized (lock1) {
				System.out.println("outer thread working");
			}
		}
		t.join();
		System.out.println("DONE");
		Assert.assertFalse(false);
	}
	
	public static void main(String[] args) {
		System.out.println("foo");
	}

}
