package edu.illinois.reex.test;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;
import org.junit.runner.RunWith;

import edu.illinois.reex.exploration.JUnit4ReExRunner;

@RunWith(JUnit4ReExRunner.class)
public class ArrayAccessTests {

    @Test
    public void testArrayAccess() throws InterruptedException {
        final int[] ints = new int[1];
        ints[0] = 0;
        Thread t1 = new Thread(new Runnable() {

            @Override
            public void run() {
                ints[0]++;
            }
        });

        t1.start();

        ints[0]++;

        t1.join();

        assertEquals(2, ints[0]);
    }

}
